{% extends 'base.html' %}

{% load django_bootstrap5 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% bootstrap_messages %} 


{% block content %}

<form class="row row-cols-lg-auto g-3 align-items-center" action="" method="post">
    {% csrf_token %}

    {% bootstrap_form form layout='inline' %}
    {% bootstrap_button button_type="submit" content="Query" %}
    {% bootstrap_button button_type="reset" content="Cancel" %}

</form>

{% bootstrap_alert "Run a query to see models where model.name NOT LIKE '%query%' !" alert_type='warning' %}
{% if myflag%}
<h2>Query Result</h2>

<table class="table">
    <tbody>
      <tr>
        <th scope="row">request.method</th>
        <td>{{request.method}}</td>
      </tr>
      <tr>
        <th scope="row">mymodel.id</th>
        <td>{{mymodel.id}}</td>
      </tr>
      <tr>
        <th scope="row">myflag</th>
        <td>{{myflag}}</td>
      </tr>
      <tr>
        <th scope="row">not_contained_count</th>
        <td>{{not_contained_count}}</td>
      </tr>
    </tbody>
  </table>

{% endif %}

<h2>MyModels and URLs</h2>

{% if mymodels %}
<table class="table">
    <thead>
      <tr>
        <th scope="col">View</th>
        <th scope="col">Bob</th>
        <th scope="col">Alice</th>
      </tr>
    </thead>
    <tbody>

      {% for view in views %}
      <tr>
        <td>{{view}}</td>
        {% url view 1 as myurl%}
        <td><a href="{{myurl}}">{{myurl}}</a></td>
        {% url view 2 as myurl%}
        <td><a href="{{myurl}}">{{myurl}}</a></td>
      </tr>
      {% endfor %}

      <tr>
        <td>testcase17_vulnerable</td>
        {% url 'testcase17_vulnerable' 1 request.get_full_path as myurl%}
        <td><a href="{{myurl}}">{{myurl}}</a></td>
        {% url 'testcase17_vulnerable' 2 request.get_full_path as myurl%}
        <td><a href="{{myurl}}">{{myurl}}</a></td>
      </tr>
    </tbody>
  </table>
{% else %}
    {% bootstrap_alert "There are no models currently in the database!" alert_type='Error' %}
{% endif %}


{% endblock %}

